| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalAnnotationHeader Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalAnnotationHeader defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalAnnotationHeader ()
| Default constructor.
eProsima_user_DllExport | ~MinimalAnnotationHeader ()
| Default destructor.
eProsima_user_DllExport | MinimalAnnotationHeader (const MinimalAnnotationHeader &x)
| Copy constructor.
eProsima_user_DllExport | MinimalAnnotationHeader (MinimalAnnotationHeader &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalAnnotationHeader & | operator= (const MinimalAnnotationHeader &x)
| Copy assignment.
eProsima_user_DllExport MinimalAnnotationHeader & | operator= (MinimalAnnotationHeader &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalAnnotationHeader &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalAnnotationHeader &x) const
| Comparison operator.

## Detailed Description

This class represents the structure MinimalAnnotationHeader defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalAnnotationHeader() [1/3]

eProsima_user_DllExport MinimalAnnotationHeader | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalAnnotationHeader()

eProsima_user_DllExport ~MinimalAnnotationHeader | ( |  | ) |

inline

Default destructor.

## ◆ MinimalAnnotationHeader() [2/3]

eProsima_user_DllExport MinimalAnnotationHeader | ( | const MinimalAnnotationHeader & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalAnnotationHeader that will be copied.

## ◆ MinimalAnnotationHeader() [3/3]

eProsima_user_DllExport MinimalAnnotationHeader | ( | MinimalAnnotationHeader && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalAnnotationHeader that will be copied.

## Member Function Documentation

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalAnnotationHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalAnnotationHeader object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalAnnotationHeader & operator= | ( | const MinimalAnnotationHeader & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalAnnotationHeader that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalAnnotationHeader & operator= | ( | MinimalAnnotationHeader && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalAnnotationHeader that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalAnnotationHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalAnnotationHeader object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp